<div class="select__group select__group--icon">
  <label *ngIf="mbLabelText != null" class="input__label" [innerHTML]="mbLabelText"></label>
  <div [class]="inputGroupGroupClass">
    <em *ngIf="mbSelectIcon != null" nz-icon [nzType]="mbSelectIcon" nzTheme="outline"></em>
    <nz-select class="select__select select__able {{mbSelectIcon != null ? 'include__icon' : 'no__icon'}}" nzMode="multiple"
      style="width: 100%" [nzMaxTagCount]="mbMaxTagCount" [nzShowSearch]="mbShowSearch" nzAllowClear
      [nzPlaceHolder]="mbPlaceholder" [nzOptionHeightPx]="mbOptionHeightPx"
      [nzOptionOverflowSize]="mbOptionOverflowSize"
      [(ngModel)]="listOfSelectedValue"
               [nzMaxTagPlaceholder]="tagPlaceHolder"
      (ngModelChange)="selectItem($event)" [(nzOpen)]="mbIsOpenOptions"
      [nzDisabled]="mbDisabled" (nzOnSearch)="onSearch($event)"
      >
      <nz-option *ngIf="mbShowCheckAll || mbShowAction" class="select__option" nzDisabled nzCustomContent nzLabel="ALL"
        [nzValue]="mbCheckAllKey">
        <div class="select__group-action">
          <div *ngIf="mbShowCheckAll" class="select__check-all">
            <label nz-checkbox (nzCheckedChange)="checkAll($event)"
              [nzChecked]="listOfSelectedValue?.length === mbDataSelects?.length"></label>
          </div>
          <div *ngIf="mbShowAction" class="select__action">
            <button nz-button nzType="default" (click)="cancel()">Hủy</button>
            <button nz-button nzType="primary" (click)="submit()">Áp dụng</button>
          </div>
        </div>
      </nz-option>
      <nz-option class="select__option" nzCustomContent *ngFor="let dataSelect of mbDataSelects"
        [nzLabel]="dataSelect[mbKeyLabel]"
        [nzValue]="mbKeyValueStringType ? (dataSelect[mbKeyValue]+'') : dataSelect[mbKeyValue]">
        <label nz-checkbox (nzCheckedChange)="checkItem($event, dataSelect[mbKeyValue])"
          [nzChecked]="listOfSelectedValue?.indexOf(dataSelect[mbKeyValue]) != null && listOfSelectedValue?.indexOf(dataSelect[mbKeyValue]) > -1"></label>
        <span class="select__option-text">{{dataSelect[mbKeyLabel]}}</span>
      </nz-option>
    </nz-select>
    <ng-template #tagPlaceHolder let-selectedList><span nzTooltipTitle="{{getListName(selectedList)}}" nzTooltipPlacement="bottom" nz-tooltip>+ {{ selectedList.length }} ...</span></ng-template>
  </div>
  <div *ngIf="textMessageValue != null && mbShowError" [class]="inputMessageClass">
    <em *ngIf="mbShowIconMessage" nz-icon [nzType]="iconType" nzTheme="outline"></em>
    <span class="text__message">{{textMessageValue}}</span>
  </div>
</div>
